Bug 1636773 (CVE-2018-17962) - CVE-2018-17962 QEMU: pcnet: integer overflow leads to buffer overflow
Summary: CVE-2018-17962 QEMU: pcnet: integer overflow leads to buffer overflow
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-17962
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
: 1613561 (view as bug list)
Depends On: 1636776 1636774 1636775
Blocks: 1581014 1613563
TreeView+ depends on / blocked
 
Reported: 2018-10-07 15:26 UTC by Prasad J Pandit
Modified: 2021-02-16 22:58 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An integer overflow issue was found in the AMD PC-Net II NIC emulation in QEMU. It could occur while receiving packets, if the size value was greater than INT_MAX. Such overflow would lead to stack buffer overflow issue. A user inside guest could use this flaw to crash the QEMU process resulting in DoS.
Clone Of:
Environment:
Last Closed: 2019-09-24 18:45:40 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:2892 0 None None None 2019-09-24 13:32:23 UTC

Description Prasad J Pandit 2018-10-07 15:26:18 UTC
Qemu emulator built with the AMD PC-Net II (Am79C970A) emulation support is vulnerable to an integer overflow, which could lead to buffer overflow issue. It could occur when receiving packets over the network.

A user inside guest could use this flaw to crash the Qemu process resulting in DoS.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2018-09/msg03268.html

Reference:
----------
  -> https://www.openwall.com/lists/oss-security/2018/10/08/1

Comment 1 Prasad J Pandit 2018-10-07 15:26:40 UTC
Acknowledgments:

Name: Daniel Shapira (Twistlock), Arash Tohidi

Comment 2 Prasad J Pandit 2018-10-07 15:28:07 UTC
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1636775]


Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1636776]

Comment 4 Prasad J Pandit 2018-10-08 04:34:29 UTC
*** Bug 1613561 has been marked as a duplicate of this bug. ***

Comment 5 errata-xmlrpc 2019-09-24 13:32:21 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:2892 https://access.redhat.com/errata/RHSA-2019:2892

Comment 6 Product Security DevOps Team 2019-09-24 18:45:40 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2018-17962


Note You need to log in before you can comment on or make changes to this bug.